<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('photo_geo_data', function (Blueprint $table) {
            $table->ulid('id')->primary();
            $table->string('uploaded_by');
            $table->string('image_path');
            $table->string('title');
            $table->timestamp('captured_at')->nullable();
            $table->decimal('lat',10,8)->nullable();
            $table->decimal('lng',10,8)->nullable();
            $table->string('desc',500)->nullable();
            $table->longText('story')->nullable();
            $table->json('metadata')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('photo_geo_data');
    }
};
